View Issue Details

IDProjectCategoryView StatusLast Update
0004389FEMBugpublic2020-12-03 22:52
ReporterHoWil Assigned Toberndhahnebach  
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Target Version0.19Fixed in Version0.19 
Summary0004389: Results pipeline is not automatically updated
DescriptionThe "Results pipeline" is not automatically updated after e.g. the underlying results form a Elmer simulation are updated.
One has to change some values like the "Mode" from "Surface" to "Surface with Edges" in the "Result display options" to observe a change in the displayed result values. The performed change in the "Mode" settings should not result in different values. The saved results are not updated until some settings are changed!!
Steps To Reproduce+ Open "FemCalculixCantilever3D_newSolver" from "Startpage"
+ Save the file anywhere
+ Toggle visibility of "SolverElmerResult"
+ Add Face "Box:Face2" to "FemConstraintFixed"
+ Doupleclick "SolverElmer", "Run" the simulation and "Close" the "SolverControl" Task-dialogue
+ Doubleclick "SolverElmerResult" to enter the "Result display options"
+ Change "Mode" from "Surface" to "Surface with Edges" and observe the change in the displayed result values. The performed change in the "Mode" settings should not result in different values. The saved results are not updated until some settings are changed!!
Additional Informationhttps://forum.freecadweb.org/viewtopic.php?f=18&t=22576&p=183698&hilit=pipeline+update#p183698
https://forum.freecadweb.org/viewtopic.php?f=18&t=22576&hilit=pipeline+update&start=50#p183814
TagsFEM, Pipeline, postprocessing, results, update, VTK
FreeCAD Information<!--ATTENTION:
COMPLETELY ERASE THIS AFTER PASTING YOUR
Help > About FreeCAD > Copy to clipboard
NOTE: just the snippet alone will do without anything else included.
The ticket will not be submitted without it.
-->

Activities

HoWil

2020-07-07 06:49

developer   ~0014623

Please see https://forum.freecadweb.org/viewtopic.php?f=18&t=45887&p=414227#p413986

abdullah

2020-07-07 16:49

manager   ~0014628

@HoWil

Is it safe to close this ticket?

Kunda1

2020-07-24 12:31

administrator   ~0014682

@HoWil bump
@berndhahnebach please advise

Kunda1

2020-08-26 11:59

administrator   ~0014719

@HoWil is there a commit(s) associated with this ticket?

Kunda1

2020-12-01 11:27

administrator   ~0015035

@HoWil bump

Kunda1

2020-12-03 22:50

administrator   ~0015067

Possibly fixed by the following commits:
FreeCAD master b25f7f42
or
FreeCAD master 2edabee0

Kunda1

2020-12-03 22:52

administrator   ~0015068

Closing ticket

Related Changesets

FreeCAD: master 2edabee0

2020-01-27 00:41:33

berndhahnebach

Details Diff
FEM: solver elmer, workaround for result reading Affected Issues
0004389
mod - src/Mod/Fem/femsolver/elmer/tasks.py Diff File

FreeCAD: master b25f7f42

2020-04-27 08:40:58

berndhahnebach


Committer: GitHub Details Diff
FEM: elmer tasks, fix result and output creation Affected Issues
0004389
mod - src/Mod/Fem/femsolver/elmer/tasks.py Diff File

Issue History

Date Modified Username Field Change
2020-06-29 18:25 HoWil New Issue
2020-06-29 18:25 HoWil Tag Attached: FEM
2020-06-29 18:25 HoWil Tag Attached: VTK
2020-06-29 18:25 HoWil Tag Attached: Pipeline
2020-06-29 18:25 HoWil Tag Attached: results
2020-06-29 18:25 HoWil Tag Attached: postprocessing
2020-06-29 18:25 HoWil Tag Attached: update
2020-07-07 06:49 HoWil Assigned To => HoWil
2020-07-07 06:49 HoWil Status new => resolved
2020-07-07 06:49 HoWil Resolution open => fixed
2020-07-07 06:49 HoWil Fixed in Version => 0.19
2020-07-07 06:49 HoWil Note Added: 0014623
2020-07-07 16:49 abdullah Note Added: 0014628
2020-07-24 12:31 Kunda1 Note Added: 0014682
2020-08-26 11:59 Kunda1 Note Added: 0014719
2020-12-01 11:27 Kunda1 Note Added: 0015035
2020-12-03 22:50 Kunda1 Note Added: 0015067
2020-12-03 22:50 Kunda1 Changeset attached => FreeCAD master b25f7f42
2020-12-03 22:51 Kunda1 Changeset attached => FreeCAD master 2edabee0
2020-12-03 22:52 Kunda1 Assigned To HoWil => berndhahnebach
2020-12-03 22:52 Kunda1 Status resolved => closed
2020-12-03 22:52 Kunda1 Note Added: 0015068